Subject: [urn] Request for oneM2M URN Namespace registration

From: Miguel Angel Reina Ortega <[email-masked]>
Date: Mon, 21 Feb 2022 14:52:33 +0000

Dear,

My name is Miguel Angel Reina Ortega and I work for ETSI (European Telecommunications Standards Institute).

ETSI, on behalf of oneM2M, would like to request the registration of the oneM2M URN Namespace. oneM2M is the global standards initiative founded by several SDOs (ATIS, TIA, TTA, TTC, ARIB, CCSA, TSDSI and ETSI) around the world that covers requirements, architecture, API specifications, security solutions and interoperability for Machine-to-Machine(M2M) and IoT technologies.

Please, find attached the Draft document for such registration (following RFC8141 section 6.3) in both txt and xml format.

I will appreciate any other indication from your side to proceed with the registration or further steps in the registration process.

Best regards.

-----------------------------------------------------------------------------------------------------------------
Miguel Angel Reina Ortega – Testing Expert
Centre for Testing and Interoperability (CTI)
ETSI ● www.etsi.org<http://www.etsi.org/> ● [email-masked]<mailto:[email-masked]>
Phone: +33 (0)4 92 94 43 49 ● Mobile: +33 (0)6 76 73 60 99

This email may contain confidential information and is intended for
the use of the addressee only. Any unauthorized use may be unlawful.
If you receive this email by mistake, please advise the sender
immediately by using the reply facility in your email software.
Thank you for your co-operation.

---

From: [email-masked] (Dale R. Worley)
Date: Tue, 22 Feb 2022 21:27:32 -0500

Miguel Angel Reina Ortega
<MiguelAngel.ReinaOrtega=[email-masked]> writes:
> ETSI, on behalf of oneM2M, would like to request the registration of
> the oneM2M URN Namespace. oneM2M is the global standards initiative
> founded by several SDOs (ATIS, TIA, TTA, TTC, ARIB, CCSA, TSDSI and
> ETSI) around the world that covers requirements, architecture, API
> specifications, security solutions and interoperability for
> Machine-to-Machine(M2M) and IoT technologies.

As ETSI is a recognized standards body, we should fast-track this.
Also, there's little specific information to review.  I would recommend
that the registration template specify how the NSSs are to be compared,
although looking at RFC 8141, it doesn't seem to be required.  (It used
to be that specifying the comparison rule was important.)  I suspect
that oneM2M intends to use case-sensitive comparison and largely assign
NSSs in a single case.

Dale

---

From: "Hakala, Juha E" <[email-masked]>
Date: Wed, 23 Feb 2022 07:57:12 +0000

Hello, 

-----Alkuperäinen viesti-----
Lähettäjä: urn <[email-masked]> Puolesta Dale R. Worley
Lähetetty: keskiviikko 23. helmikuuta 2022 4.28
Vastaanottaja: Miguel Angel Reina Ortega <MiguelAngel.ReinaOrtega=[email-masked]>
Kopio: [email-masked]; [email-masked]; [email-masked]
Aihe: Re: [urn] Request for oneM2M URN Namespace registration

+ 1. 

Also, there's little specific information to review.  

Subtree registration page 

https://wiki.onem2m.org/index.php?title=OneM2M_URN_Namespace

provides additional information about oneM2M URNs, but there are some gaps. 

Namespace specific strings will consist of two parts: 

<nss-root>:<nss-restoftree>

Character set of nss-root is specified as a-z, A-Z, 0-9, but nothing is said about the character set of nss-restoftree. I suppose you could limit it to printable ASCII characters, in order to eliminate the impact of Unicode confusables. 

 Within nss-root MGMT, the nss-restoftree will have the following structure:  

urn:onem2m:mgmt.:nwkType:<identifier>:[<parameters>]

I suppose the dot after mgmt is an error. If so, we get URNs like: 

urn:onem2m:mgmt:nwkType:lora or urn:onem2m:mgmt:nwkType:ansi_c_12:parameter

Within nss-restoftree colon has two different roles in the mgmt sub-namespace. It separates both nwkType from identifier and identifier from parameter (if any). This might create confusion regarding the role of the parameter, since nothing in the URN syntax says that the parameter is not part of the identifier. And if in the future you need to sub-divide nwkType, it might no longer be obvious for someone who does not know the syntax already where the identifier is and whether there is a parameter. 

Since onem2m parameters will not have a role in identification, you might be better off including them as URN R-components. Since your URNs will not be resolved, this should not be problematic in any way. 

URN namespace registrations do not need to be RFCs. An RFC can be provided if the identifier system has not been specified elsewhere, and it is considered useful to create an RFC for this purpose (see e.g. RFC 8458; https://datatracker.ietf.org/doc/html/rfc8458). In your case, I do not think that RFC is required or even justified. It will be easier both for you and IETF if you send us just a template as specified in RFC 8141. All registrations published as such templates are listed at https://www.iana.org/assignments/urn-namespaces/urn-namespaces.xhtml. 

ETSI has already made one namespace registration as a template, available at https://www.iana.org/assignments/urn-formal/etsi. 

All the best, 

Juha   

I would recommend that the registration template specify how the NSSs are to be compared, although looking at RFC 8141, it doesn't seem to be required.  (It used to be that specifying the comparison rule was important.)  I suspect that oneM2M intends to use case-sensitive comparison and largely assign NSSs in a single case.

Dale

_______________________________________________
urn mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/urn

---

From: Miguel Angel Reina Ortega <[email-masked]>
Date: Wed, 23 Feb 2022 09:09:45 +0000

Dear Juha, Dale, 

Thanks so much for your comments. Please, see my answers inline.

Best regards.

-----------------------------------------------------------------------------------------------------------------
Miguel Angel Reina Ortega – Testing Expert
Centre for Testing and Interoperability (CTI)
ETSI ? www.etsi.org ? [email-masked]
Phone: +33 (0)4 92 94 43 49 ? Mobile: +33 (0)6 76 73 60 99

-----Original Message-----
From: Hakala, Juha E <[email-masked]> 
Sent: 23 February 2022 08:57
To: Dale R. Worley <[email-masked]>; Miguel Angel Reina Ortega <[email-masked]>
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: VS: [urn] Request for oneM2M URN Namespace registration

Hello, 

-----Alkuperäinen viesti-----
Lähettäjä: urn <[email-masked]> Puolesta Dale R. Worley
Lähetetty: keskiviikko 23. helmikuuta 2022 4.28
Vastaanottaja: Miguel Angel Reina Ortega <MiguelAngel.ReinaOrtega=[email-masked]>
Kopio: [email-masked]; [email-masked]; [email-masked]
Aihe: Re: [urn] Request for oneM2M URN Namespace registration

+ 1. 

[MRO] You are right, we forgot to specify that. We will include it at the subtree registration page.

[MRO] Thanks for spotting this, it's fixed now. 

[MRO] I will let oneM2M delegates know your proposal and modify that as required.

[MRO] ETSI URN namespace was registered by creating an RFC (https://tools.ietf.org/search/rfc8515), and because of the nature of oneM2M, I considered that the same approach was needed. In addition, we already did an attempt to register the oneM2M URN namespace in the past (some years ago) and we followed that approach (https://datatracker.ietf.org/doc/draft-fujimoto-urn-onem2m/history/).

All the best, 

Juha   

[MRO] I will also consult this with oneM2M delegates.

Dale

---

From: Peter Saint-Andre <[email-masked]>
Date: Wed, 23 Feb 2022 10:18:50 -0700

> [MRO] ETSI URN namespace was registered by creating an RFC (https://tools.ietf.org/search/rfc8515), and because of the nature of oneM2M, I considered that the same approach was needed. In addition,…

Some registrants prefer to publish an RFC (e.g., for archival purposes), 
but I agree with Juha that this is not necessary. If nothing else, 
publishing an Internet-Draft can make it easier to track changes to the 
registration template, but this isn't necessary either.

Peter

---

From: Miguel Angel Reina Ortega <[email-masked]>
Date: Wed, 23 Feb 2022 17:24:08 +0000

Hi Peter, 

Thanks so much for your reply. See my comments inline.

Best regards. 

ETSI ● www.etsi.org ● [email-masked]

-----Original Message-----
From: Peter Saint-Andre <[email-masked]> 
Sent: 23 February 2022 18:19
To: Miguel Angel Reina Ortega <[email-masked]>
Cc: [email-masked]
Subject: Re: [urn] Request for oneM2M URN Namespace registration

> [MRO] ETSI URN namespace was registered by creating an RFC (https://tools.ietf.org/search/rfc8515), and because of the nature of oneM2M, I considered that the same approach was needed. In addition,…

Some registrants prefer to publish an RFC (e.g., for archival purposes), but I agree with Juha that this is not necessary. If nothing else, publishing an Internet-Draft can make it easier to track changes to the registration template, but this isn't necessary either.

[MRO] I would prefer to go for publishing an RFC, but I will accept the approach you consider is the best for this. 

Peter

---

From: Peter Saint-Andre <[email-masked]>
Date: Wed, 23 Feb 2022 10:37:40 -0700

> Thanks so much for your reply. See my comments inline.

OK. I will contact you offlist because you have a few options regarding 
publication.

However, for discussion on the list, I think it's likely best for us to 
publish URN registration documents in the Independent Submission Stream:

https://www.rfc-editor.org/about/independent/

I plan to discuss this matter with the Independent Submissions Editor 
(ISE) in the near future and I've bcc'd the ISE on this message so they 
are aware.

Peter

---

From: "Murray S. Kucherawy" <[email-masked]>
Date: Wed, 23 Feb 2022 12:16:53 -0800

Hello,

My understanding of the URN registration process is that you can engage
with the URN reviewers directly, which you've already done here, without
the need for the involvement of the Area Directors, so I'm not going to
weigh in at all unless I'm needed.  If you (or the reviewers) do need us to
get involved, please let us know.

-MSK, ART AD

On Mon, Feb 21, 2022 at 6:52 AM Miguel Angel Reina Ortega <
[email-masked]> wrote:

> ETSI, on behalf of oneM2M, would like to request the registration of the
> oneM2M URN Namespace. oneM2M is the global standards initiative founded by
> several SDOs (ATIS, TIA, TTA, TTC, ARIB, CCSA, TSDSI and ETSI) around the
> world that covers requirements, architecture, API specifications, security
> solutions and interoperability for Machine-to-Machine(M2M) and IoT
> technologies.
>
>
>
> Please, find attached the Draft document for such registration (following
> RFC8141 section 6.3) in both txt and xml format.
>
>
>
> I will appreciate any other indication from your side to proceed with the
> registration or further steps in the registration process.
>
>
>
> Best regards.
>
>
>
>
> *Miguel Angel Reina Ortega **–* Testing Expert
>
> *ETSI* ● www.etsi.org ● [email-masked]
>

---

From: Miguel Angel Reina Ortega <[email-masked]>
Date: Fri, 25 Feb 2022 16:55:09 +0000

Dear Juha, 

I have discussed the issues with the oneM2M delegates and we have updated the oneM2M URN namespace with the following:

- General rule to limit NSS-restoftree to printable ASCII characters, as you proposed. 
- parameters for the MGMT URN namespace will be part of the q-component, so starting with "?=" as should not be part of the URN resolution. Please, advise if that's correct.

Best regards.

-----Original Message-----
From: Hakala, Juha E <[email-masked]> 
Sent: 23 February 2022 08:57
To: Dale R. Worley <[email-masked]>; Miguel Angel Reina Ortega <[email-masked]>
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: VS: [urn] Request for oneM2M URN Namespace registration

Hello, 

-----Alkuperäinen viesti-----
Lähettäjä: urn <[email-masked]> Puolesta Dale R. Worley
Lähetetty: keskiviikko 23. helmikuuta 2022 4.28
Vastaanottaja: Miguel Angel Reina Ortega <MiguelAngel.ReinaOrtega=[email-masked]>
Kopio: [email-masked]; [email-masked]; [email-masked]
Aihe: Re: [urn] Request for oneM2M URN Namespace registration

+ 1. 

All the best, 

Juha   

Dale